Release Candidate — the API is undergoing final validation before general availability, and minor changes may still occur.
Hellomateo API Documentation
Templates (Preview)

List Templates (Preview)

GET
/v1/templates

Preview. This read projects the current Template data model into the upcoming public contract and may change slightly before general availability.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Query Parameters

id?string

Unique identifier for the resource.

id[in]?string

Filters by any of the supplied id values.

key?string

Stable key used to identify the resource.

key[in]?string

Filters by any of the supplied key values.

type?"authentication" | "auto_responder" | "double_opt_in_confirmation" | "marketing" | "opt_in_request" | "opt_out_confirmation" | "review_request" | "transactional"

Type of the resource.

type[in]?string

Filters by any of the supplied type values.

type[not_in]?string

Filters resources by type using the not_in operator.

language?string

Filters resources by language.

language[in]?string

Filters by any of the supplied language values.

channel_type?"email" | "facebook" | "instagram" | "postal" | "sms" | "whatsapp"

Filters resources by channel type.

channel_type[in]?string

Filters by any of the supplied channel type values.

channel_type[not_in]?string

Filters resources by channel type using the not_in operator.

archived?boolean

Filters resources by archived.

updated_at[gte]?string

Filters resources by updated at using the gte operator.

Formatdate-time
updated_at[lte]?string

Filters resources by updated at using the lte operator.

Formatdate-time
limit?integer

Maximum number of resources to return.

Default10
Range0 <= value <= 100
page_token?string

Opaque token returned by a previous page request.

Length1 <= length
include?array<"latest_version" | "published_version">

Additional fields to include in the response. Use repeated query syntax: include=foo&include=bar.

Response Body

application/json

curl -X GET "https://api.getmateo.com/v1/templates"
{  "object": "list",  "data": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "name": "string",      "key": "string",      "language": "string",      "type": "authentication",      "channel_type": "email",      "created_at": "2019-08-24T14:15:22Z",      "updated_at": "2019-08-24T14:15:22Z",      "latest_version": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",        "version": 9007199254740991,        "published": true,        "request_approvals": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      },      "published_version": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "template_id": "c6d67e98-83ea-49f0-8812-e4abae2b68bc",        "version": 9007199254740991,        "published": true,        "request_approvals": true,        "created_at": "2019-08-24T14:15:22Z",        "updated_at": "2019-08-24T14:15:22Z"      }    }  ],  "next_page_url": "string",  "previous_page_url": "string"}